(function() {

    ChannelModule__category_recommend_item_click = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("click", "usr_cmd", "doUiAction");
        this.dispatchEvent("report", "report_recommend_click", dataMode);
    }

    ChannelModule__v_category_recommend_module_first_row_focused = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("report", "report_recommend_show", dataMode);
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.239);
    }

    ChannelModule__v_category_recommend_module_second_row_focused = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("report", "report_recommend_show", dataMode);
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.1);
    }

    ChannelModule__h_category_recommend_module_first_row_focused = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("report", "report_recommend_show", dataMode);
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.158);

        var poster = this.parent.findItemsByClass("poster_bottom_shadow");
        if(poster[0] != null){
           poster[0].setAttr("img.0.padding", "-12,-24,-25,-38");
        }
    }

    ChannelModule__h_category_recommend_module_second_row_focused = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("report", "report_recommend_show", dataMode);
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.061);

        var poster = this.parent.findItemsByClass("poster_bottom_shadow");
        if(poster[0] != null){
           poster[0].setAttr("img.0.padding", "-12,-24,-25,-38");
        }
    }

    ChannelModule__c_category_recommend_item_focus = function(){
        var dataMode = this.getData("dataMode")
        this.dispatchEvent("report", "report_recommend_show", dataMode);
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.062);
    }

    ChannelModule__star_item_focus = function(){
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.156);
        var star_audience = this.parent.findItemById("star_audience");
        if(star_audience != null){
           star_audience.setStyle("font-color", "ffffffff");
        }
    }

    ChannelModule__star_item_blur = function(){
        var star_audience = this.parent.findItemById("star_audience");
        if(star_audience != null){
           star_audience.setStyle("font-color", "ffb4b4b4");
        }
    }

    ChannelModule__library_item_first_row_focus = function(){
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.064);
    }

    ChannelModule__library_item_second_row_focus = function(){
        var page_ver_slider = this.findParentById("page_ver_slider");
        page_ver_slider.makeChildVisible(this, 0.046);
    }

    ChannelModule__star_online_binding_updated = function(){
        var online = this.getData("online");
        var hotValue = this.getData("hotValue");
        var onlineCount = this.getData("onlineCount");
        var starAudience = this.findItemById("star_audience");
        var starItem = this.findItemById("star_item");
        if("online" == online){
            starAudience.setAttr("text", onlineCount);
            starItem.addClass("star_online_img");
        } else if ("offline" == online){
            starAudience.setAttr("text", hotValue);
            starItem.removeClass("star_online_img");
        }
    }

    ChannelModule__h_category_recommend_name_item_binding_finished = function(){
        var title = this.getAttr("sub.2.text");
        var subName = this.getAttr("sub.3.text");
        if(title == "" || title == null){
            this.setStyle("sub.2.font-padding", "0,6,0,-50");
            this.setStyle("sub.3.font-padding", "0,6,44,-50");
        } else {
            this.setStyle("sub.2.font-padding", "0,6,0,-50");
            this.setStyle("sub.3.font-padding", "0,6,44,-87");
        }
    }

    ChannelModule__first_recommend_name_item_binding_finished = function(){
        var title = this.getAttr("sub.2.text");
        var subName = this.getAttr("sub.3.text");
        if(subName == "" || subName == null){
             this.setStyle("sub.2.font-padding", "454,22,22,14");
             this.setStyle("sub.3.font-padding", "454,22,22,14");
        } else {
             this.setStyle("sub.2.font-padding", "415,22,22,53");
             this.setStyle("sub.3.font-padding", "454,22,22,14");
        }
    }

    ChannelModule__other_recommend_name_item_binding_finished = function(){
        var title = this.getAttr("sub.2.text");
        var subName = this.getAttr("sub.3.text");
        if(subName == "" || subName == null){
           this.setStyle("sub.2.font-padding", "196,22,22,14");
           this.setStyle("sub.3.font-padding", "196,22,22,14");
        } else {
           this.setStyle("sub.2.font-padding", "157,22,22,50");
           this.setStyle("sub.3.font-padding", "196,22,22,14");
        }
    }

    ChannelModule_recommend_head1_module_instanced = function(){
        var channelId = this.getData("channelId");
        this.dispatchEvent("componentInstanced", "head1_module_instanced", JSON.stringify({"channelId":channelId}));
    }

    ChannelModule_play_record_enter_click = function(){
        var fpa = this.getData("fpa");
        this.dispatchEvent("click", "usr_cmd", "m_open_play_history_page");
        this.dispatchEvent("updateFpa", "updateFpa", fpa);
    }

    ChannelModule_play_record_item_click = function(){
        var fpa = this.getData("fpa");
        this.dispatchEvent("click", "usr_cmd", "doUiAction");
        this.dispatchEvent("updateFpa", "updateFpa", fpa);
    }

})("channel_module_component");