
(function(){
    SearchPage_on_ready = function(){
        this.submitText = function() {
            this.dispatchEvent("usr_cmd", "usr_cmd", "keyboard_click");
        };
        this.inputText = function(x){
            logger.d("inputText= ", x);
            var search_text_box = this.ownerPage.findItemById("search_text_box");
            if(x == "clean"){
                search_text_box.setAttr("text","");
                this.submitText();
            }else if(x == "del"){
                var text = search_text_box.getAttr("text");
                if(text.length > 0){
                    search_text_box.setAttr("text",text.substr(0,text.length-1));
                    this.submitText();
                }
            }else if (x.length == 1){
                var text = search_text_box.getAttr("text");
                if(18 > text.length){
                    search_text_box.setAttr("text",text+x);
                    this.submitText();
                }
            } else {
                x = x.substr(4);
                if (x.length > 18) {
                    x = x.substr(0,18);
                }
                search_text_box.setAttr("text",x);
                this.submitText();
            }
        };

       var keyboard_keys = this.findItemsByClass("btn_t9");
        for(var index in keyboard_keys){
            if(index == 4){
                keyboard_keys[4].requestFocus();
            }
        }
    };

    SearchPage_keyboard_t9_click = function(){
        var buttons = this.findItemsByClass("keyboard_text_num");
        var keyboard_layer = this.ownerPage.findItemById("keyboard_layer");

        var chars = "";
        for(var index in buttons){
            chars = buttons[index].getAttr("text")+chars;
        }
        var keyboardId = "";
        if (1 == chars.length) {
            this.ownerPage.inputText(chars);
        } else if (4 == chars.length){
            keyboardId = "pop_keyboard_4";
        }  else if (5 == chars.length){
            keyboardId = "pop_keyboard_5";
        }else{
            var type = this.getAttr("type");
            if (type == "clean") {
                this.ownerPage.inputText("clean");
            } else if (type == "del") {
                this.ownerPage.inputText("del");
            }
        }

        if(keyboardId){
            var keyboard = this.ownerPage.findItemById(keyboardId);
            var buttons = keyboard.findItemsByClass("pop_key_searchbtn");
            for(var index in buttons) {
                buttons[index].setAttr("text",chars.charAt(index));
            }
            var y = parseInt(13);
            y = y + parseInt((this.viewY).toFixed(0))+2;//添加了两个像素，遮住数字下面露出来的英文
            keyboard.setAttr("x",this.viewX);
            keyboard.setAttr("y",y);

            var right_panel = this.ownerPage.findItemById("right_panel");
            var page_box = this.ownerPage.findItemById("page_box");
            var t9 = this.ownerPage.findItemById("keyboard_box_t9");
            var keyboard_layer = this.ownerPage.findItemById("keyboard_layer");
            this.ownerPage.pushStates(
                keyboard,"setStyle","display","block",
                keyboard_layer,"setStyle","lighting-color-filter","FF000000,FF6f6e90",
                keyboard_layer,"setDisabled",
                page_box,"setDisabled",
                t9,"setDisabled",
                right_panel, "setDisabled",
                keyboard,"requestFocus"
            );
        }
    };

    SearchPage_keyboard_full_click = function(){
        var char = this.getAttr("text");
        if(char != ""){
            this.ownerPage.inputText(char);
        }else{
            var type = this.getAttr("type");
            var full_char = this.ownerPage.findItemById("full_char");
            var full_num = this.ownerPage.findItemById("full_num");
            if("123" == type){//切换到数字
                full_char.setStyle("display","none");
                full_num.setStyle("display","block");
                full_num.findItemById("abc").requestFocus();
            }else if("abc" == type){
                full_char.setStyle("display","block");
                full_num.setStyle("display","none");
                full_char.findItemById("123").requestFocus();
            }else{
                this.ownerPage.inputText(type);
            }
        }
    };

    SearchPage_keyboard_switch_click = function(){
        var t9 = this.ownerPage.findItemById("keyboard_box_t9");
        var full = this.ownerPage.findItemById("keyboard_box_full");
        var full_char = this.ownerPage.findItemById("full_char");
        var full_num = this.ownerPage.findItemById("full_num");

        if(this.getAttr("type") == "T9"){
            t9.setStyle("display","block");
            full.setStyle("display","none");
        }else{
            t9.setStyle("display","none");
            full.setStyle("display","block");
            full_char.setStyle("display","block");
            full_num.setStyle("display","none");
        }
    };

    SearchPage_range_item_focus = function(){
        if(!this.hasClass("range_item_checked")){
            this.fireEvent("click");
            this.dispatchEvent("usr_cmd","usr_cmd","range_click");
        }
    };

    SearchPage_suggest_hot_key_focus = function(){
        if("all" == this.getAttr("type")){
            this.dispatchEvent("usr_cmd", "usr_cmd", "suggest_all_item_focus");
        }
          if(!this.hasClass("suggest_hot_key_item_checked")) {
              this.setAttr("isFromCheck", "true");
              this.fireEvent("click");
              this.dispatchEvent("usr_cmd", "usr_cmd", "suggest_hot_key_click");
           }
    };

    SearchPage_history_or_hot_words_focus = function(){
        if(!this.hasClass("history_and_hot_words_checked")){
            this.setAttr("isFromCheck", "true");
            this.fireEvent("click");
            this.dispatchEvent("usr_cmd","usr_cmd","history_and_hot_words_click");
        }
    };

    SearchPage_poster_click_event = function(){
           this.dispatchEvent("click", "usr_cmd", "doUiAction");
           this.dispatchEvent("report", "report_search_click", "");
           this.dispatchEvent("click", "usr_cmd", "update_locate_search_words");
    }

})("SearchPage");