(function() {
    //记录上一个非筛选页面的焦点
    var preFocusView = null;
    var firstOpen = true;

    list_page_category_item_focus = function(){
        if (!this.hasClass("category_item_checked")) {
            this.fireEvent("click");//用于radio添加checked-class
            logger.d("list_page_category_item_focus:  switchCategory");
            this.dispatchEvent("focus","usr_cmd","switchCategory");
        }
     };
    list_page_isReady = function(){
        firstOpen= true;
    }

    list_page_category_item_blur = function(){
        preFocusView = this;
        this.dispatchEvent("categoryItemBlur","usr_cmd","categoryItemBlur");
    };

    function_btn_blur_event = function(){
        preFocusView = this;
        setFilterBtnCheccked(this.ownerPage,"false");
        this.dispatchEvent("functionBtnBlur","usr_cmd","functionBtnBlur");
    }

    video_list_page_right_corner_binding_finished = function(){
        var text = this.getAttr("text");
        var len = text.length;
        if (len <= 0) {
           this.setStyle("display","none");
        } else {
           this.setStyle("display","block");
        }
    };

    video_list_page_left_corner_binding_finished = function(){
        var showLeftCorner = this.getData("isShowLeftCorner");
        if (showLeftCorner == "1") {
            var text = this.getAttr("text");
            var len = text.length;
            if(len <= 0){
               this.setStyle("display","none");
            } else {
               if(text == 1){
                  this.setAttr("img.0","file:///.assets/common/rank_list_1.png");
               } else if(text == 2){
                  this.setAttr("img.0","file:///.assets/common/rank_list_2.png");
               } else if(text == 3){
                  this.setAttr("img.0","file:///.assets/common/rank_list_3.png");
               } else if(text >= 4){
                  this.setAttr("img.0","file:///.assets/common/rank_list_4.png");
               }
               this.setStyle("display","block");
            }
        } else {
            this.setStyle("display","none");
        }
    };

    video_list_page_poster_click_event = function(){
        this.dispatchEvent("click", "usr_cmd", "doUiAction");
        this.dispatchEvent("reportPosterClick", "report", "reportPosterClick");
    }

    video_list_page_poster_blur_event = function(){
        preFocusView = this;
    };

    open_filter_page = function(){
       syncFilterPage(this.ownerPage,"display");
    }

    click_filter_tag = function(){
        setFilterBtnCheccked(this.ownerPage,"true");
        this.dispatchEvent("on_sub_filter_label_click", "usr_cmd", "on_sub_filter_label_click");
    }

    hide_filter_page = function(){
        syncFilterPage(this.ownerPage,"hide");
    }

        //当筛选页打开或者隐藏的时候，页面的刷新操作
    var syncFilterPage = function(ownerPage,displayStyle) {
        var tag = "syncFilterPage";
        var area_filter_list = ownerPage.findItemById("area_filter_list");
        var area_left_category_list = ownerPage.findItemById("area_left_category_list");
        var area_right_content = ownerPage.findItemById("area_right_content");
        var filter_button = ownerPage.findItemById("filter_btn");
        var first_filter_tags = ownerPage.findItemsByClass("first_filter_tag");
        var fstlvl_labels = ownerPage.findItemsByClass("fstlvl_label");
        if("display" == displayStyle) {
            if(null != area_filter_list) {
                logger.d(tag," set y of area_filter_list 630!");
                area_filter_list.setAttr("enabled","true");
                area_filter_list.setAttr("y","630");
                area_filter_list.requestFocus();
            }
            if(preFocusView == filter_button){
                setFilterBtnCheccked(ownerPage,"true");
            }
            if(null != area_left_category_list){
                area_left_category_list.setAttr("enabled","false");
            }
            if(null != area_right_content){
                area_right_content.setAttr("enabled","false");
            }
            if(firstOpen){
                logger.d(tag," set filter_label_checked");
                var isfstnofocus = true;
                if(fstlvl_labels != null && fstlvl_labels.length > 0){
                   for (var i = 0;i < fstlvl_labels.length ; i++){
                       if(fstlvl_labels[i].hasClass("filter_label_checked")){
                            isfstnofocus = false;
                       }
                   }
                   if(isfstnofocus){
                        fstlvl_labels[0].addClass("filter_label_checked");
                   }
                }
                if(first_filter_tags != null && first_filter_tags.length > 0){
                   for (var i = 0;i < first_filter_tags.length ; i++){
                      first_filter_tags[i].addClass("filter_label_checked");
                   }
                }
            firstOpen = false;
            }
        }else if("hide" == displayStyle) {
            if(null != area_left_category_list){
               area_left_category_list.setAttr("enabled","true");
            }
            if(null != area_right_content){
               area_right_content.setAttr("enabled","true");
            }
            if(null != area_filter_list) {
               logger.d(tag," set y of area_filter_list 1085!");
               area_filter_list.setAttr("enabled","false");
               area_filter_list.setAttr("y","1085");
            }
            if(filter_button.hasClass("filter_button_checked")){
                filter_button.requestFocus();
            }else{
               if(null != preFocusView){
                  preFocusView.requestFocus();
               }
            }
        }

    };
        //设置筛选按钮为选中状态
    var setFilterBtnCheccked = function(ownerPage,showStyle){
        var filter_button = ownerPage.findItemById("filter_btn");
        var category_items = ownerPage.findItemsByClass("category_item");
        if("true" == showStyle){
            if(null != filter_button){
                filter_button.addClass("filter_button_checked");
            }
            if(category_items != null && category_items.length > 0 ){
                for (var i = 0;i < category_items.length ; i++){
                    category_items[i].removeClass("category_item_checked");
                }
            }
        }else{
            if(null != filter_button){
                filter_button.removeClass("filter_button_checked");
            }
        }
    }
})("page_film_library");