(function(){
    function checkStateSelect(items,style,targetIdx){
        for(var idx in items){
            items[idx].removeClass(style);
        }
        items[targetIdx].addClass(style);
    }

   play_history_page_showPosterDeleteButton = function() {
       var posterDelete = this.ownerPage.findItemsByClass("trash_image");
       for(var idx in posterDelete){
           posterDelete[idx].addClass("poster_delete");
       }
   };

    play_history_page_hidePosterDeleteButton = function() {
        var posterDelete = this.ownerPage.findItemsByClass("trash_image");
        for(var idx in posterDelete){
            posterDelete[idx].removeClass("poster_delete");
        }
    };

    play_history_page_video_item_on_click = function() {
        logger.d("video_item_event onclick");
        var posterItem = this.findItemsByClass("trash_image")[0];

        if (posterItem.hasClass("poster_delete")) {
            this.dispatchEvent("click", "usr_cmd", "deleteEntry");
        } else {
            this.dispatchEvent("click", "usr_cmd", "doUiAction");
        }
    };
    play_history_syn_state = function(){
        logger.d("play_history_syn_state: "+this.hasClass("playlist_radio_checked"));
        if(this.hasClass("playlist_radio_checked")){
            return;
        }
        var ownerPage = this.ownerPage;
        var menuItems = ownerPage.findItemsByClass("playlist_category_item");
        logger.d("play_history_syn_state menuItems: "+menuItems);
        for(var idx in menuItems) {
            if ( this == menuItems[idx] ) {
                logger.d("play_history_syn_state idx= "+idx+"this="+this);
                var visiblePageIdx = idx;
                checkStateSelect(menuItems,"playlist_radio_checked",visiblePageIdx);
                this.dispatchEvent("focus", "playListCategory", JSON.stringify({"idx":idx}));
                break;
            }
        }
    }



    play_history_page_poster_binding_finished = function(){
        var online = this.getData("online");
        if (online == "0") {
            this.setAttr("img.5.visible", "true");
        } else {
            this.setAttr("img.5.visible", "false");
        }
    };

    play_history_load_next_page = function(){
        var playRecordView = this.ownerPage.findItemsByClass("play_record_item_layer");
        if((this.getAttr("isLoad") == "false") && (this.getData("hasNext") == "1")){
            var lastRecordTime = this.getData("lastRecondTime");
            this.dispatchEvent("focus", "requestNextPage", JSON.stringify({"lastRecordTime":lastRecordTime,"pageNo":this.getData("pageNo")}));
        }
        for(var idx in playRecordView){
            var playRecordItemView =playRecordView[idx];
            if((this.getData("pageNo") == playRecordItemView.getData("pageNo")) && (playRecordItemView.getAttr("isLoad") == "false") && (playRecordItemView.getAttr("hasNext") == "1")){
                playRecordItemView.setAttr("isLoad","true");
            }

        }
    }






})("play_history_page");